Skip to main content
Topic: avrdude support broken. (Read 596 times) previous topic - next topic

avrdude support broken.

Hi guys.
The user coelner has opened an issue on github about the failure of avrdude with the Bus Pirate and the firmware v7.x (U_1-05112018.hex and S_1-05112018.hex [ viewtopic.php?f=28&t=8498&start=120#p67834 ]):

https://github.com/BusPirate/Bus_Pirate/issues/122

Sadly I have not any chip to test this.
I have avrdude-6.3-mingw32, AvrDude GUI v1.0, avrdudess_GUI_ 2.4-6.1 and avrdudess_GUI_2.6-6.3 but I need the chip...
Is there somebody who can verify the thing or that know a revision of the firmware for the Bus Pirate which is surely working for him?
This could be used for comparison.
Thanks!

Be seeing you.

U.Sb

Re: avrdude support broken.

Reply #1
Hi guys.
As user coelner wrote on github,

Working:
bpv3_fw7.0_opt1_18092016.hex
BPv3-firmware-v6.2-r1981.hex

Broken:
bpv3_fw7.11_opt1_12062018.hex
bpv3_fw7.11_opt2_12062018.hex

Be seeing you.

U.Sb

Re: avrdude support broken.

Reply #2
Hi guys.
Actually firmware U_1-05112018.hex has not any problem with syntax buspirate_bb as I could test today:

https://github.com/BusPirate/Bus_Pirate ... -469060268

So fortunately, AVRDUDE is still supported by the v7.x firmware.

Be seeing you.

U.Sb